Adium

Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#15544 closed defect (fixed)

New Facebook Connection doesn't work with Facebook security settings

Reported by: scworldnetter Owned by:
Milestone: Adium 1.4.4 Component: Service/Facebook
Version: 1.4.3 Severity: normal
Keywords: Cc:
Patch Status:

Description

Summary

I am trying to link to my Facebook account, Adium is unable to get connected to Facebook, it keeps going in circles asking me to re-enter my credentials

Steps to reproduce

Detail the exact steps taken to produce the bug. Use the following format, each line with " 1." before it:

  1. Make sure to have a Facebook account with security settings configured, i.e. Facebook asks to name the device trying to log on
  2. Create a Facebook account entry
  3. Click on allow access
  4. Enter login credentials in Facebook and click on login
  5. Enter device text on next Facebook screen (for example "Adium on home computer"
  6. Press Allow Access/OK

Expected results

I expect for Adium to be able to connect to my Facebook account

Actual results

Nothing happens, there is just a message "Promoting authorization for chat..."

Regression

This did not occur on the old version of Adium that used true XMPP authorization, I don't remember the version # of Adium.

Notes

As I stated before, this may be connected with the device naming security layer of Facebook, although I don't know for sure.

Using Adium 1.4.3 currently.

Attachments (1)

2011-10-16.log (21.4 KB) - added by Lars 8 years ago.
Log file

Download all attachments as: .zip

Change History (17)

comment:1 Changed 8 years ago by sphynx

  • Status changed from new to pending

Please follow the instructions to get a debug log and attach it to this ticket.

Changed 8 years ago by Lars

Log file

comment:2 Changed 8 years ago by Lars

Same problem here. I attached a log file. In this log i did the following steps:

  1. I started Adium
  2. Facebook Login window appears
  3. I entered my login information
  4. I clicked on "sign on"
  5. Facebook login window closes
  6. Facebook still appears to be not logged in

Lars

comment:3 Changed 8 years ago by wixardy

If memory serves, that API (promoteSession) was semi-deprecated when we set this up.

comment:4 Changed 8 years ago by sphynx

Ticket #15551 has been marked as a duplicate of this ticket.

comment:5 Changed 8 years ago by ygor

Same happening for me with multiple FB accounts.

comment:6 Changed 8 years ago by fmoo

I can repro this as well. I ran a tcpdump and I can see the connection and packets going to api-read-11-01-prn1.facebook.com, but since it's over https, I can't see the request/response flows.

I ran the request manually using curl, and I got a valid response:

> curl -v https://api.facebook.com/method/auth.promoteSession?access_token={removed}
* About to connect() to api.facebook.com port 443 (#0)
*   Trying 66.220.149.22... connected
* Connected to api.facebook.com (66.220.149.22) port 443 (#0)
* SSLv3, TLS handshake, Client hello (1):
* SSLv3, TLS handshake, Server hello (2):
* SSLv3, TLS handshake, CERT (11):
* SSLv3, TLS handshake, Server finished (14):
* SSLv3, TLS handshake, Client key exchange (16):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSLv3, TLS change cipher, Client hello (1):
* SSLv3, TLS handshake, Finished (20):
* SSL connection using RC4-SHA
* Server certificate:
* 	 subject: C=US; O=api.facebook.com; OU=GT21570628; OU=See www.geotrust.com/resources/cps (c)09; OU=Domain Control Validated - QuickSSL Premium(R); CN=api.facebook.com
* 	 start date: 2009-07-25 08:09:52 GMT
* 	 expire date: 2012-10-25 10:49:39 GMT
* 	 common name: api.facebook.com (matched)
* 	 issuer: C=US; O=Equifax; OU=Equifax Secure Certificate Authority
* 	 SSL certificate verify ok.
> GET /method/auth.promoteSession?access_token={removed} HTTP/1.1
> User-Agent: curl/7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8r zlib/1.2.3
> Host: api.facebook.com
> Accept: */*
> 
< HTTP/1.1 200 OK
< Access-Control-Allow-Origin: *
< Cache-Control: private, no-cache, no-store, must-revalidate
< Content-Type: text/xml;charset=utf-8
< Expires: Sat, 01 Jan 2000 00:00:00 GMT
< Pragma: no-cache
< Date: Tue, 18 Oct 2011 23:44:26 GMT
< Content-Length: 315
< 
<?xml version="1.0" encoding="UTF-8"?>
<auth_promoteSession_response xmlns="http://api.facebook.com/1.0/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://api.facebook.com/1.0/ http://api.facebook.com/1.0/facebook.xsd">{removed}</auth_promoteSession_response>
* Connection #0 to host api.facebook.com left intact
* Closing connection #0
* SSLv3, TLS alert, Client hello (1):

comment:7 Changed 8 years ago by Mr_Matt

I too am having this same issue. Had a working FB chat w/ Adium for a long time. Removed it today to try to force changes to my groups to reset and now I can't add my account back.

Last edited 8 years ago by Mr_Matt (previous) (diff)

comment:8 Changed 8 years ago by raeburn

I'm seeing problems in 1.5b1 that look like this, after I (for unrelated reasons) deleted the Jabber account I had set up to talk to facebook and tried recreating a type-Facebook account.

comment:9 Changed 8 years ago by raeburn

I am seeing this logged in the console window when I try to log in, in case it's relevant:

2011-10-23 19:00:41	Adium[21431]	Exception was raised: *** -[NSCFArray objectAtIndex:]: index (1) beyond bounds (1)
2011-10-23 19:00:41	Adium[21431]	*** -[NSCFArray objectAtIndex:]: index (1) beyond bounds (1)

comment:10 Changed 8 years ago by Frank Dowsett <wixardy@…>

  • Resolution set to fixed
  • Status changed from pending to closed

(In 982e401f8d00) Fix connecting to Facebook by sending the now encrypted OAuth token instead of the soon-to-be-deprecated session_key. Fixes #15544

comment:11 follow-up: Changed 8 years ago by ygor

Can you guys release an 1.5b2 build on top of this last fix (#982e401f8d00)? Adium is unusable for Facebook, even on Beta channels...

comment:12 Changed 8 years ago by Robert Vehse

(In de5d40eec827) Fix connecting to Facebook by sending the now encrypted OAuth token instead of the soon-to-be-deprecated session_key. References #15544.

comment:13 in reply to: ↑ 11 Changed 8 years ago by Robby

Sorry, forgot to credit you there, Frank.


Replying to ygor:

Can you guys release an 1.5b2 build on top of this last fix (#982e401f8d00)? Adium is unusable for Facebook, even on Beta channels...

We will release a beta of 1.4.4 with the fix as soon as possible.

comment:14 Changed 8 years ago by Robby

  • Milestone set to Adium 1.4.4

comment:15 Changed 8 years ago by wixardy

Ticket #15576 has been marked as a duplicate of this ticket.

comment:16 Changed 8 years ago by wixardy

Ticket #15638 has been marked as a duplicate of this ticket.

Note: See TracTickets for help on using tickets.